/identity/v2/tokens/{tokenId}/archiveArchives the specified token, making it permanently inactive.
WARNING! This action is irreversible!
tokenIdstringrequired
The ID of the token to archive
The token has been archived.
{
"data": {
"id": "string",
"value": "string",
"network": "string",
"isValid": true,
"type": "AD_HOC_PAYMENT_TERMINAL",
"whitelistType": "ALWAYS",
"driver": "string",
"paymentTerminal": "string",
"name": "string",
"expiresAt": "2023-06-07T17:32:28Z",
"createdAt": "2023-06-07T17:32:28Z",
"updatedAt": "2023-06-07T17:32:28Z"
}
}/identity/v2/tokens/{tokenId}/authorizeChecks whether the given token is authorized to charge at a specific asset. Returns authorization status along with the token details or a failure code.
typestringWhether the tokenId path parameter is a raw token value or a token ID
assetIdstringrequired
The ID of the asset to authorize against
networkIdstringrequired
The ID of the network to authorize against
{
"type": "RAW_VALUE",
"assetId": "string",
"networkId": "string"
}Token authorization result
{
"data": {
"authorized": true,
"token": {
"id": "string",
"value": "string",
"network": "string",
"isValid": true,
"type": "AD_HOC_PAYMENT_TERMINAL",
"whitelistType": "ALWAYS",
"driver": "string",
"paymentTerminal": "string",
"name": "string",
"expiresAt": "2023-06-07T17:32:28Z",
"createdAt": "2023-06-07T17:32:28Z",
"updatedAt": "2023-06-07T17:32:28Z"
}
}
}/identity/v2/tokensRetrieves a paginated list of tokens available to the authenticated user.
limitstringThe maximum number of tokens to return (default 20, maximum 100)
startingAfterstringThe ID of the last token in the previous page. Results will start after this token.
driverIdstringFilter tokens by driver ID
A list of tokens
{
"data": {
"hasMore": true,
"items": [
{
"id": "string",
"value": "string",
"network": "string",
"isValid": true,
"type": "AD_HOC_PAYMENT_TERMINAL",
"whitelistType": "ALWAYS",
"driver": "string",
"paymentTerminal": "string",
"name": "string",
"expiresAt": "2023-06-07T17:32:28Z",
"createdAt": "2023-06-07T17:32:28Z",
"updatedAt": "2023-06-07T17:32:28Z"
}
]
}
}/identity/v2/tokensCreates a new token. Supports multiple token types including PAYMENT_TERMINAL, VEHICLE, RFID, and others.
In V2, use the value field to provide a custom token identifier (replaces the id field from V1).
valuestringA value can optionally be provided when creating a token. For example to register a VEHICLE token you would create a token with the "value" being the VID. For example VID:A1B2C3D4
paymentTerminalIdstringdriverIdstringisValidbooleanrequired
typestringrequired
whitelistTypestringrequired
networkstringnamestringexpiresAtstringThe ISO date time when the token will expire. If not provided, the token will not expire.
{
"value": "string",
"paymentTerminalId": "string",
"driverId": "string",
"isValid": true,
"type": "AD_HOC_USER",
"whitelistType": "ALWAYS",
"network": "string",
"name": "string",
"expiresAt": "2023-06-07T17:32:28Z"
}A new token has been created.
{
"data": {
"id": "string",
"value": "string",
"network": "string",
"isValid": true,
"type": "AD_HOC_PAYMENT_TERMINAL",
"whitelistType": "ALWAYS",
"driver": "string",
"paymentTerminal": "string",
"name": "string",
"expiresAt": "2023-06-07T17:32:28Z",
"createdAt": "2023-06-07T17:32:28Z",
"updatedAt": "2023-06-07T17:32:28Z"
}
}/identity/v2/tokens/{id}Retrieves a single token by its ID, including its value.
idstringrequired
The ID of the token to retrieve
The requested token
{
"data": {
"id": "string",
"value": "string",
"network": "string",
"isValid": true,
"type": "AD_HOC_PAYMENT_TERMINAL",
"whitelistType": "ALWAYS",
"driver": "string",
"paymentTerminal": "string",
"name": "string",
"expiresAt": "2023-06-07T17:32:28Z",
"createdAt": "2023-06-07T17:32:28Z",
"updatedAt": "2023-06-07T17:32:28Z"
}
}/identity/v2/tokens/{tokenId}Updates an existing token. The network field is optional in V2 as it can be derived from JWT claims.
Set name or expiresAt to null to clear those fields.
networkstringrequired
The network the token is associated with
isActivebooleanrequired
Corresponds to the "isValid" field on the token
namestring or nullThe name associated with the token
expiresAtstring or nullThe ISO date time when the token will expire
whitelistTypestring{
"network": "string",
"isActive": true,
"name": "string",
"expiresAt": "2023-06-07T17:32:28Z",
"whitelistType": "ALWAYS"
}The token has been updated.
{
"data": {
"id": "string",
"value": "string",
"network": "string",
"isValid": true,
"type": "AD_HOC_PAYMENT_TERMINAL",
"whitelistType": "ALWAYS",
"driver": "string",
"paymentTerminal": "string",
"name": "string",
"expiresAt": "2023-06-07T17:32:28Z",
"createdAt": "2023-06-07T17:32:28Z",
"updatedAt": "2023-06-07T17:32:28Z"
}
}Was this page helpful?